import { typeText } from '../../support/cypress.util';

export class ZustaendigeStelleDialogE2EComponent {
  private readonly locatorZustaendigeStelleForm: string = 'search-organisations-einheit';
  private readonly locatorSearchInput: string = 'instant_search-text-input';
  private readonly locatorFoundItemButton: string = 'item-button';
  private readonly locatorFoundItemTitleParagraph: string = 'item-button-title';

  public getZustaendigeStelleForm(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorZustaendigeStelleForm);
  }

  public getSearchInput(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.locatorSearchInput);
  }

  public enterSearchTerm(searchTerm: string): void {
    typeText(this.getSearchInput(), searchTerm);
  }

  public countSearchEntries(): Cypress.Chainable<number> {
    // @ts-ignore
    return cy.getTestElement(this.locatorFoundItemButton).then((entries: HTMLButtonElement[]) => {
      return Cypress.$(entries).length;
    });
  }

  public expectNumberOfEntriesToBeGreaterThan(entries: number): void {
    this.countSearchEntries().then((count) => {
      expect(count).to.greaterThan(entries);
    });
  }

  public getZustaendigeStelleTitle(index: number): Cypress.Chainable<string> {
    return cy
      .getChildTestElementFromListElement(this.locatorFoundItemButton, index, this.locatorFoundItemTitleParagraph)
      .then((entries) => entries[0].innerText);
  }

  public clickFoundItem(index: number): void {
    cy.getTestElement(this.locatorFoundItemButton).eq(index).click();
  }
}
