import { MainPage, waitForSpinnerToDisappear } from 'apps/admin-e2e/src/page-objects/main.po';
import { exist } from 'apps/admin-e2e/src/support/cypress.util';
import { loginAsSafira } from 'apps/admin-e2e/src/support/user-util';
import { StatistikE2EComponent } from '../../../components/statistik/statistik.e2e.component';

describe('Navigation', () => {
  const mainPage: MainPage = new MainPage();

  const statistikPage: StatistikE2EComponent = new StatistikE2EComponent();

  describe('with user safira', () => {
    before(() => {
      loginAsSafira();

      waitForSpinnerToDisappear();
    });

    it('should show benutzer navigation item', () => {
      exist(mainPage.getBenutzerNavigationItem());
    });

    it('should show postfach navigation item', () => {
      exist(mainPage.getPostfachNavigationItem());
    });

    it('should show organisationseinheiten navigation item', () => {
      exist(mainPage.getOrganisationEinheitNavigationItem());
    });

    describe('statistik', () => {
      it('should be visible', () => {
        exist(mainPage.getStatistikNavigationItem());
      });

      describe('on selection', () => {
        before(() => {
          mainPage.clickStatistikNavigationItem();
        });

        it('should show page on selection', () => {
          statistikPage.isHeaderTextVisible();
        });

        it('should mark navigation item as selected', () => {
          mainPage.isStatistikNavigationItemSelected();
        });
      });
    });
  });
});
