import { OrganisationsEinheitenE2EComponent } from '../../../components/organisationseinheiten/organisationseinheiten.e2e.component';
import { ZustaendigeStelleDialogE2EComponent } from '../../../components/zustaendige-stelle/zustaendige-stelle-dialog.e2e.component';
import { MainPage, waitForSpinnerToDisappear } from '../../../page-objects/main.po';
import { exist } from '../../../support/cypress.util';
import { loginAsAriane } from '../../../support/user-util';

describe('Organisationseinheiten', () => {
  const mainPage: MainPage = new MainPage();
  const organisationsEinheitenComponent: OrganisationsEinheitenE2EComponent = new OrganisationsEinheitenE2EComponent();
  const zustaendigeStelleSearchComponent: ZustaendigeStelleDialogE2EComponent = new ZustaendigeStelleDialogE2EComponent();

  const searchTerm: string = 'Hamburg';

  before(() => {
    loginAsAriane();
  });

  it('should show table with Organisationseinheiten', () => {
    waitForSpinnerToDisappear();
    mainPage.clickOrganisationsEinheitenNavigationItem();

    exist(organisationsEinheitenComponent.getOrganisationsEinheitHinzufuegenButton());
  });

  it('should show button to add Organisationseinheit', () => {
    exist(organisationsEinheitenComponent.getOrganisationsEinheitHinzufuegenButton());
  });

  it('should show search Organisationseinheit dialog', () => {
    organisationsEinheitenComponent.clickHinzufuegen();

    exist(zustaendigeStelleSearchComponent.getZustaendigeStelleForm());
  });

  it('should find at least one Organisationseinheit', () => {
    zustaendigeStelleSearchComponent.enterSearchTerm(searchTerm);

    zustaendigeStelleSearchComponent.expectNumberOfEntriesToBeGreaterThan(1);
  });

  it('should add first Organisationseinheit', () => {
    zustaendigeStelleSearchComponent.getZustaendigeStelleTitle(0).then((title: string) => {
      zustaendigeStelleSearchComponent.clickFoundItem(0);
      exist(organisationsEinheitenComponent.getListItemByName(title));
    });
  });
});
