import { ROUTES } from '@admin-client/shared';
import { StatistikFieldsFormE2EComponent } from '../../../components/statistik/statistik-fields-form.e2e.component';
import { StatistikE2EComponent } from '../../../components/statistik/statistik.e2e.component';
import { urlShouldEndsWith } from '../../../support/cypress-helper';
import { exist } from '../../../support/cypress.util';
import { loginAsDaria } from '../../../support/user-util';

describe('Felder in Statistik hinzufügen', () => {
  const component: StatistikE2EComponent = new StatistikE2EComponent();
  const fieldsFormComponent: StatistikFieldsFormE2EComponent = new StatistikFieldsFormE2EComponent();

  before(() => {
    loginAsDaria();
  });

  it('should be on statistik page', () => {
    urlShouldEndsWith(ROUTES.STATISTIK);
  });

  it('should show statistik header', () => {
    component.isHeaderTextVisible();
  });

  it('should show "Weiter Felder auswerten" button', () => {
    exist(component.getWeiterFelderAuswertenButton());
  });

  it('should navigate to route', () => {
    component.getWeiterFelderAuswertenButton().click();

    urlShouldEndsWith(ROUTES.STATISTIK_NEU);
  });

  it('should have all form elements', () => {
    exist(fieldsFormComponent.getFormEngineInput());
    exist(fieldsFormComponent.getFormIdInput());
    exist(fieldsFormComponent.getDataFieldInput(0));
    exist(fieldsFormComponent.getAddFieldButton());
    exist(fieldsFormComponent.getSaveButton());
    exist(fieldsFormComponent.getCancelButton());
  });

  it('should add data field', () => {
    fieldsFormComponent.addField();

    exist(fieldsFormComponent.getDataFieldInput(1));
  });

  it('should navigate to statistik on cancel', () => {
    fieldsFormComponent.cancel();

    urlShouldEndsWith(ROUTES.STATISTIK);
  });
});
