/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export class VorgangBescheideE2EComponent {
  private readonly bescheidContainer: string = 'bescheid-container-in-vorgang';
  private readonly bescheidExpansionPanel: string = 'bescheid-expansion-panel';
  private readonly beschiedenDate: string = 'beschieden-date';
  private readonly bewilligtIcon: string = 'bewilligt-icon';
  private readonly abgelehntIcon: string = 'abgelehnt-icon';
  private readonly bescheidListItem: string = 'vorgang-list-item-bescheid-status';

  private readonly fileBescheidValid: string = 'Bescheid_validpdf-file-item';
  private readonly fileAnhangValid: string = 'Anhang_validpdf-file-item';

  public getElementFromFileName(filename: string) {
    return filename.replace(/\./g, '') + '-file-item';
  }

  public getBescheidContainer() {
    return cy.getTestElement(this.bescheidContainer);
  }
  public getBescheidExpansionPanel() {
    return cy.getTestElement(this.bescheidExpansionPanel).find(`[role="button"]`);
  }

  public getBeschiedenDateInHeader() {
    return cy.getTestElement(this.beschiedenDate);
  }

  public getBewilligtIconInHeader() {
    return cy.getTestElement(this.bewilligtIcon);
  }

  public getAbgelehntIconInHeader() {
    return cy.getTestElement(this.abgelehntIcon);
  }

  public getBescheidListItem() {
    return cy.getTestElement(this.bescheidListItem);
  }

  public getFileBescheidValidInVorgang() {
    return cy.getTestElement(this.fileBescheidValid);
  }

  public getFileAnhangValidInVorgang() {
    return cy.getTestElement(this.fileAnhangValid);
  }
}
