import { inject, Injectable } from '@angular/core';
import KcAdminClient from '@keycloak/keycloak-admin-client';
import { TokenProvider } from '@keycloak/keycloak-admin-client/lib/client';
import { OAuthService } from 'angular-oauth2-oidc';

@Injectable({ providedIn: 'root' })
export class KeycloakTokenService {
  private readonly kcAdminClient = inject(KcAdminClient);
  private readonly oAuthService = inject(OAuthService);

  public registerAccessTokenProvider(): void {
    this.kcAdminClient.registerTokenProvider(this.getTokenProvider());
  }

  private getTokenProvider(): TokenProvider {
    return {
      getAccessToken: (): Promise<string> => Promise.resolve(this.oAuthService.getAccessToken()),
    };
  }
}
