import { ADMIN_FORMSERVICE } from '@admin-client/shared';
import { AbstractFormService, createEmptyStateResource, StateResource } from '@alfa-client/tech-shared';
import { CommonModule } from '@angular/common';
import { Component, inject } from '@angular/core';
import { Resource } from '@ngxp/rest';
import { ButtonWithSpinnerComponent } from '@ods/component';
import { Observable, of } from 'rxjs';

@Component({
  selector: 'admin-save-button',
  standalone: true,
  imports: [CommonModule, ButtonWithSpinnerComponent],
  templateUrl: './admin-save-button.component.html',
})
export class AdminSaveButtonComponent {
  private formService: AbstractFormService<Resource> = inject(ADMIN_FORMSERVICE);

  public stateResource$: Observable<StateResource<Resource>> = of(createEmptyStateResource<Resource>());

  public submit(): void {
    this.stateResource$ = this.formService.submit();
  }
}
