import { User, UserService } from '@admin-client/user-shared';
import { createEmptyStateResource, StateResource } from '@alfa-client/tech-shared';
import { AsyncPipe } from '@angular/common';
import { Component, inject, OnInit } from '@angular/core';
import { Observable, of } from 'rxjs';
import { UserListComponent } from './user-list/user-list.component';

@Component({
  selector: 'admin-user-list-container',
  standalone: true,
  imports: [UserListComponent, AsyncPipe],
  templateUrl: './user-list-container.component.html',
})
export class UserListContainerComponent implements OnInit {
  private userService = inject(UserService);

  public usersStateResource$: Observable<StateResource<User[]>> = of(createEmptyStateResource<User[]>());

  ngOnInit(): void {
    this.usersStateResource$ = this.userService.getAll();
  }
}
