import { ToUserNamePipe, ToUserRolesPipe, User } from '@admin-client/user-shared';
import { NgForOf } from '@angular/common';
import { Component, Input } from '@angular/core';
import { ListItemComponent } from '@ods/system';
import { UserDataComponent } from './user-data/user-data.component';
import { UserOrganisationsEinheitenComponent } from './user-organisations-einheiten/user-organisations-einheiten.component';
import { UserRolesComponent } from './user-roles/user-roles.component';

@Component({
  selector: 'admin-user',
  standalone: true,
  imports: [
    ListItemComponent,
    NgForOf,
    ToUserNamePipe,
    UserOrganisationsEinheitenComponent,
    UserDataComponent,
    UserRolesComponent,
    ToUserRolesPipe,
  ],
  templateUrl: './user.component.html',
})
export class UserComponent {
  @Input() user: User;
}
