import { CommandOrder, CommandResourceService, CommandService } from '@alfa-client/command-shared';
import { ResourceRepository, ResourceServiceConfig } from '@alfa-client/tech-shared';
import { VorgangService, VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { BescheidLinkRel } from './bescheid.linkrel';
import { BescheidResource } from './bescheid.model';

export class BescheidResourceService extends CommandResourceService<VorgangWithEingangResource, BescheidResource> {}

export function createBescheidResourceService(
  repository: ResourceRepository,
  commandService: CommandService,
  vorgangService: VorgangService,
): CommandResourceService<VorgangWithEingangResource, BescheidResource> {
  console.info('Create Bescheid Resource Service');
  return new CommandResourceService(buildConfig(vorgangService), repository, commandService);
}

function buildConfig(vorgangService: VorgangService): ResourceServiceConfig<VorgangWithEingangResource> {
  return {
    resource: vorgangService.getVorgangWithEingang(),
    getLinkRel: VorgangWithEingangLinkRel.BESCHEID_DRAFT,
    delete: { linkRel: BescheidLinkRel.DELETE, order: CommandOrder.DELETE_BESCHEID },
    edit: { linkRel: BescheidLinkRel.UPDATE, order: CommandOrder.UPDATE_BESCHEID },
  };
}
