import {
  BescheidAttachments,
  createEmptyBescheidAttachments,
  createEmptyUploadInProgress,
  UploadFileInProgress,
} from '@alfa-client/bescheid-shared';
import { BinaryFileResource } from '@alfa-client/binary-file-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'alfa-bescheid-wizard-attachment-files',
  templateUrl: './bescheid-wizard-attachment-files.component.html',
})
export class BescheidWizardAttachmentFilesComponent {
  @Input() set attachments(value: BescheidAttachments) {
    this._attachments = value;
    this.upload = value.upload;
  }

  get attachments(): BinaryFileResource[] {
    return this._attachments.items;
  }

  @Input() deletable: boolean;

  @Output() delete: EventEmitter<BinaryFileResource> = new EventEmitter();

  public upload: UploadFileInProgress = createEmptyUploadInProgress();
  private _attachments: BescheidAttachments = createEmptyBescheidAttachments();
}
