import { BescheidAttachments, BescheidWizardStep } from '@alfa-client/bescheid-shared';
import { BinaryFileResource } from '@alfa-client/binary-file-shared';
import { Component, inject, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { BescheidService2 } from '../../../../../../bescheid-shared/src/lib/bescheid2.service';

@Component({
  selector: 'alfa-bescheid-wizard-attachment-files-container',
  templateUrl: './bescheid-wizard-attachment-files-container.component.html',
})
export class BescheidWizardAttachmentFilesContainerComponent implements OnInit {
  public readonly bescheidService = inject(BescheidService2);

  public attachments$: Observable<BescheidAttachments>;
  public activeStep$: Observable<BescheidWizardStep>;

  public readonly bescheidWizardStep = BescheidWizardStep;

  ngOnInit(): void {
    this.attachments$ = this.bescheidService.getAttachments();
    this.activeStep$ = this.bescheidService.getActiveStep();
  }

  public deleteAttachment(binaryFileResource: BinaryFileResource): void {
    this.bescheidService.deleteAttachment(binaryFileResource);
  }
}
