import { BescheidLinkRel, BescheidResource, BescheidWizardDialogResult } from '@alfa-client/bescheid-shared';
import { CommandResource, tapOnCommandSuccessfullyDone } from '@alfa-client/command-shared';
import { createEmptyStateResource, StateResource } from '@alfa-client/tech-shared';
import { DialogRef } from '@angular/cdk/dialog';
import { Component, inject, Input } from '@angular/core';
import { Observable, of } from 'rxjs';
import { BescheidFormService } from '../../../../bescheid.formservice';

@Component({
  selector: 'alfa-bescheid-wizard-bescheid-versenden-speichern',
  templateUrl: './bescheid-wizard-bescheid-versenden-speichern.component.html',
})
export class BescheidWizardBescheidVersendenSpeichernComponent {
  @Input() bescheidResource: BescheidResource;

  private readonly formService: BescheidFormService = inject(BescheidFormService);
  private readonly dialogRef = inject(DialogRef<BescheidWizardDialogResult>);

  public submitStateResource$: Observable<StateResource<CommandResource>> = of(createEmptyStateResource<CommandResource>());

  public readonly bescheidLinkRel = BescheidLinkRel;

  public submit(): void {
    this.submitStateResource$ = this.formService
      .submit()
      .pipe(tapOnCommandSuccessfullyDone(() => this.dialogRef.close({ reloadVorgang: true })));
  }
}
