import { BescheidAttachments, createEmptyBescheidAttachments } from '@alfa-client/bescheid-shared';
import { BinaryFileResource } from '@alfa-client/binary-file-shared';
import { createEmptyStateResource, StateResource } from '@alfa-client/tech-shared';
import { Component, EventEmitter, inject, Input, Output } from '@angular/core';
import { getUrl } from '@ngxp/rest';
import { BescheidFormService } from '../../../bescheid.formservice';

@Component({
  selector: 'alfa-bescheid-wizard-upload-attachment-button',
  templateUrl: './bescheid-wizard-upload-attachment-button.component.html',
})
export class BescheidWizardUploadAttachmentButtonComponent {
  @Input() set attachments(value: BescheidAttachments) {
    this.updateAttachments(value);
  }

  @Output() uploadFile: EventEmitter<File> = new EventEmitter<File>();

  public readonly formService: BescheidFormService = inject(BescheidFormService);

  public fileUrls: string[] = [];
  public upload: StateResource<BinaryFileResource> = createEmptyStateResource();
  private _attachments: BescheidAttachments = createEmptyBescheidAttachments();

  public readonly formServiceClass = BescheidFormService;

  updateAttachments(value: BescheidAttachments) {
    this._attachments = value;
    this.upload = value.uploadStateResource;
    this.fileUrls = this._attachments.items.map((binaryFileResource: BinaryFileResource) => getUrl(binaryFileResource));
  }
}
