import { BinaryFileModule } from '@alfa-client/binary-file';
import { FileToDelete, UploadFile } from '@alfa-client/binary-file-shared';
import { ConvertProblemDetailToErrorMessagesPipe } from '@alfa-client/tech-shared';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { AttachmentComponent, AttachmentWrapperComponent } from '@ods/system';

@Component({
  selector: 'ods-file-upload-list-item',
  standalone: true,
  templateUrl: './file-upload-list-item.component.html',
  imports: [AttachmentComponent, AttachmentWrapperComponent, BinaryFileModule, ConvertProblemDetailToErrorMessagesPipe],
})
export class FileUploadListItemComponent {
  @Input() key: string;
  @Input() uploadFile: UploadFile;

  @Output() delete: EventEmitter<FileToDelete> = new EventEmitter();
}
