/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { LoeschAnforderungSharedModule } from '@alfa-client/loesch-anforderung-shared';
import { HasLinkPipe } from '@alfa-client/tech-shared';
import { IconButtonWithSpinnerComponent, OzgcloudStrokedButtonWithSpinnerComponent } from '@alfa-client/ui';
import { VorgangSharedModule } from '@alfa-client/vorgang-shared';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ButtonWithSpinnerComponent } from '@ods/component';
import {
  DeleteVorgangFinallyIconComponent,
  RequestVorgangDeletionIconComponent,
  TooltipDirective,
  UndoRequestVorgangDeletionIconComponent,
} from '@ods/system';
import { EndgueltigLoeschenButtonContainerComponent } from './endgueltig-loeschen-button-container/endgueltig-loeschen-button-container.component';
import { EndgueltigLoeschenButtonComponent } from './endgueltig-loeschen-button-container/endgueltig-loeschen-button/endgueltig-loeschen-button.component';
import { LoeschAnforderungZuruecknehmenButtonContainerComponent } from './loesch-anforderung-zuruecknehmen-button-container/loesch-anforderung-zuruecknehmen-button-container.component';
import { LoeschAnforderungZuruecknehmenButtonComponent } from './loesch-anforderung-zuruecknehmen-button-container/loesch-anforderung-zuruecknehmen-button/loesch-anforderung-zuruecknehmen-button.component';
import { LoeschenAnfordernButtonContainerComponent } from './loeschen-anfordern-button-container/loeschen-anfordern-button-container.component';
import { LoeschenAnfordernButtonComponent } from './loeschen-anfordern-button-container/loeschen-anfordern-button/loeschen-anfordern-button.component';

@NgModule({
  imports: [
    CommonModule,
    LoeschAnforderungSharedModule,
    VorgangSharedModule,
    OzgcloudStrokedButtonWithSpinnerComponent,
    IconButtonWithSpinnerComponent,
    HasLinkPipe,
    RequestVorgangDeletionIconComponent,
    ButtonWithSpinnerComponent,
    DeleteVorgangFinallyIconComponent,
    UndoRequestVorgangDeletionIconComponent,
    TooltipDirective,
  ],
  declarations: [
    LoeschenAnfordernButtonContainerComponent,
    LoeschenAnfordernButtonComponent,
    EndgueltigLoeschenButtonContainerComponent,
    EndgueltigLoeschenButtonComponent,
    LoeschAnforderungZuruecknehmenButtonComponent,
    LoeschAnforderungZuruecknehmenButtonContainerComponent,
  ],
  exports: [
    LoeschenAnfordernButtonContainerComponent,
    EndgueltigLoeschenButtonContainerComponent,
    LoeschAnforderungZuruecknehmenButtonContainerComponent,
  ],
})
export class LoeschAnforderungModule {}
