/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { VorgangDetailBescheidenStepTitleComponent } from '../../vorgang-detail-bescheiden-step-title/vorgang-detail-bescheiden-step-title.component';
import { VorgangDetailBescheidenWeiterButtonComponent } from '../../vorgang-detail-bescheiden-weiter-button/vorgang-detail-bescheiden-weiter-button.component';
import { VorgangDetailBescheidenStepContentComponent } from './vorgang-detail-bescheiden-step-content.component';

describe('VorgangDetailBescheidenStepsContentComponent', () => {
  let component: VorgangDetailBescheidenStepContentComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenStepContentComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        VorgangDetailBescheidenStepContentComponent,
        MockComponent(VorgangDetailBescheidenWeiterButtonComponent),
        MockComponent(VorgangDetailBescheidenStepTitleComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangDetailBescheidenStepContentComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('shouldShowStep', () => {
    it('should return true', () => {
      component.activeStep = 2;
      component.step = 2;

      const shouldShowStep = component.shouldShowStep();

      expect(shouldShowStep).toBeTruthy();
    });

    it('should return false', () => {
      component.activeStep = 2;
      component.step = 3;

      const shouldShowStep = component.shouldShowStep();

      expect(shouldShowStep).toBeFalsy();
    });
  });

  describe('shouldShowStepContent', () => {
    it('should return true', () => {
      component.activeStep = 2;
      component.step = 2;

      const shouldShowStep = component.shouldShowStepContent();

      expect(shouldShowStep).toBeTruthy();
    });

    it('should return false', () => {
      component.activeStep = 2;
      component.step = 1;

      const shouldShowStep = component.shouldShowStepContent();

      expect(shouldShowStep).toBeFalsy();
    });
  });
});
